VMTKSURFACEVIEWER(1)

NAME
vmtksurfaceviewer - vmtk script vmtksurfaceviewer

DESCRIPTION
Automatic piping vmtksurfaceviewer Parsing options vmtksurfaceviewer

vmtksurfaceviewer : display a surface

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-display Display (bool,1); default=1: toggle rendering

-representation Representation (str,1) in ['surface', 'wireframe',

    'edges']; default=surface: change surface representation

-opacity Opacity (float,1) >= 0.0 and <= 1.0; default=1.0: object

    opacity in the scene

-array ArrayName (str,1): name of the array where the scalars to be

    displayed are stored

-scalarrange ScalarRange (float,2); default=[0.0, 0.0]: range of

    the scalar map

-colormap ColorMap (str,1) in ['rainbow', 'blackbody',

    'cooltowarm', 'grayscale']; default=cooltowarm: choose the color map

-numberofcolors NumberOfColors (int,1); default=256: number of

    colors in the color map

-legend Legend (bool,1); default=0: toggle scalar bar

-flat FlatInterpolation (bool,1); default=0: toggle flat or shaded

    surface display

-celldata DisplayCellData (bool,1); default=0: toggle display of

    point or cell data

-displaytag DisplayTag (bool,1); default=False: toggle rendering of

    tag

-regiontagarray RegionTagArrayName (str,1); default=RegionTagArray:

    name of the array where the tags to be displayed are stored

-color Color (float,3); default=[-1.0, -1.0, -1.0]: RGB color of

    the object in the scene

-linewidth LineWidth (int,1) >= 0.0; default=1: width of line

    objects in the scene

-legendtitle LegendTitle (str,1): title of the scalar bar

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface

-oactor Actor (vtkActor,1): the output actor